import c from "../../../@babel/runtime/helpers/esm/slicedToArray.mjs";
import * as r from "react";
import u from "../../../rc-util/es/Dom/canUseDom.mjs";
var s = 0, i = process.env.NODE_ENV !== "test" && u();
function f() {
  var e;
  return i ? (e = s, s += 1) : e = "TEST_OR_SSR", e;
}
function m(e) {
  var a = r.useState(), t = c(a, 2), n = t[0], o = t[1];
  return r.useEffect(function() {
    o("rc_select_".concat(f()));
  }, []), e || n;
}
export {
  m as default,
  f as getUUID,
  i as isBrowserClient
};
